scala.tools.nsc.backend.jvm.BCodeSyncAndTry.SyncAndTryBuilder

# NamelessEH

#### case class NamelessEH(typeToDrop: BTypesFromSymbols.ClassBType, caseBody: Global.Tree) extends EHClause with Product with Serializable

Source
  BCodeSyncAndTry.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, EHClause, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NamelessEH
2. Serializable
3. Serializable
4. Product
5. Equals
6. EHClause
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new NamelessEH(typeToDrop: BTypesFromSymbols.ClassBType, caseBody: Global.Tree)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from NamelessEH to any2stringadd[NamelessEH] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (NamelessEH, B)

   Implicit information
     This member is added by an implicit conversion from NamelessEH to ArrowAssoc[NamelessEH] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val caseBody: Global.Tree

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (NamelessEH) ⇒ Boolean, msg: ⇒ Any): NamelessEH

   Implicit information
     This member is added by an implicit conversion from NamelessEH to Ensuring[NamelessEH] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (NamelessEH) ⇒ Boolean): NamelessEH

    Implicit information
      This member is added by an implicit conversion from NamelessEH to Ensuring[NamelessEH] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): NamelessEH

    Implicit information
      This member is added by an implicit conversion from NamelessEH to Ensuring[NamelessEH] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): NamelessEH

    Implicit information
      This member is added by an implicit conversion from NamelessEH to Ensuring[NamelessEH] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from NamelessEH to StringFormat[NamelessEH] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### val typeToDrop: BTypesFromSymbols.ClassBType

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### def →[B](y: B): (NamelessEH, B)

    Implicit information
      This member is added by an implicit conversion from NamelessEH to ArrowAssoc[NamelessEH] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from EHClause

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from NamelessEH to any2stringadd[NamelessEH]

### Inherited by implicit conversion StringFormat from NamelessEH to StringFormat[NamelessEH]

### Inherited by implicit conversion Ensuring from NamelessEH to Ensuring[NamelessEH]

### Inherited by implicit conversion ArrowAssoc from NamelessEH to ArrowAssoc[NamelessEH]

### Ungrouped